## Version Version — Version checking |

## Functions

#define | LIBMANETTE_ENCODE_VERSION()
#define | LIBMANETTE_CHECK_VERSION()

## Types and Values

#define | LIBMANETTE_MAJOR_VERSION
#define | LIBMANETTE_MINOR_VERSION
#define | LIBMANETTE_MICRO_VERSION
#define | LIBMANETTE_VERSION
#define | LIBMANETTE_VERSION_S
#define | LIBMANETTE_VERSION_HEX

## Includes

    #include <src/libmanette.h>

## Description

libmanette provides macros to check the version of the library at compile-time.

## Functions

### LIBMANETTE_ENCODE_VERSION()

    #define             LIBMANETTE_ENCODE_VERSION(major,minor,micro)

### LIBMANETTE_CHECK_VERSION()

    #define             LIBMANETTE_CHECK_VERSION(major,minor,micro)

Compile-time version checking. Evaluates to `TRUE` if the version of libmanette is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values

### LIBMANETTE_MAJOR_VERSION

    #define LIBMANETTE_MAJOR_VERSION (0)

libmanette major version component (e.g. 1 if `LIBMANETTE_VERSION` is 1.2.3)

### LIBMANETTE_MINOR_VERSION

    #define LIBMANETTE_MINOR_VERSION (2)

libmanette minor version component (e.g. 2 if `LIBMANETTE_VERSION` is 1.2.3)

### LIBMANETTE_MICRO_VERSION

    #define LIBMANETTE_MICRO_VERSION (6)

libmanette micro version component (e.g. 3 if `LIBMANETTE_VERSION` is 1.2.3)

### LIBMANETTE_VERSION

    #define LIBMANETTE_VERSION (0.2.6)

libmanette version.

### LIBMANETTE_VERSION_S

    #define LIBMANETTE_VERSION_S "0.2.6"

libmanette version, encoded as a string, useful for printing and concatenation.

### LIBMANETTE_VERSION_HEX

    #define             LIBMANETTE_VERSION_HEX

libmanette version, encoded as an hexadecimal number, useful for integer comparisons.